Unit Unit1;

{$MODE objfpc}{$H+}

Interface

Uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, lclintf,
  ExtCtrls;

Type

  { TForm1 }

  TForm1 = Class(TForm)
    Timer1: TTimer;
    Procedure FormCreate(Sender: TObject);
    Procedure FormKeyDown(Sender: TObject; Var Key: Word; Shift: TShiftState);
    Procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    Procedure FormShow(Sender: TObject);
    Procedure Timer1Timer(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  End;

Const
  ScreenSaverStartDelay = 10000; // 60000;

Var
  Form1: TForm1;
  FlastActionTime: Dword;
  showallow: Boolean = false;
  cpos: TPoint;

Implementation

{$R *.lfm}

{ TForm1 }

Procedure TForm1.FormCreate(Sender: TObject);
Begin
  BorderStyle := bsNone;
  top := 0;
  width := Screen.Width;
  left := 0;
  height := Screen.Height;
  //  visible := false;
  FlastActionTime := GetTickCount;
  timer1.Enabled := true;
  Cursor := -1;
End;

Procedure TForm1.FormKeyDown(Sender: TObject; Var Key: Word; Shift: TShiftState
  );
Begin
  If showallow Then Begin
    showallow := false;
    visible := false;
    Timer1.Enabled := True;
  End;
End;

Procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
Begin
  If showallow Then Begin
    showallow := false;
    visible := false;
    Timer1.Enabled := True;
  End;
End;

Procedure TForm1.FormShow(Sender: TObject);
Begin
  If Not showallow Then visible := false;
End;

Procedure TForm1.Timer1Timer(Sender: TObject);
Var
  p: Tpoint;
Begin
  If (GetTickCount - ScreenSaverStartDelay > FlastActionTime) Then Begin
    showallow := true;
    Visible := true;
    Form1.BringToFront;
    Timer1.Enabled := false;
  End;
  (*
   * Registrieren von Maus Bewegungen
   *)
  GetCursorPos(p);
  If (p.x <> cpos.X) Or (p.y <> cpos.y) Then Begin
    cpos := p;
    FlastActionTime := GetTickCount;
  End;
  (*
   * Prüfen ob Eine Anwendung aus der Skip Screensaver Liste Aktiv ist
   *)
  (*
   * Überprüfen ob irgend eine Taste Gedrückt wurde
   *)
End;

End.

